View topic - yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post here general questions about usage of YafaRay and about the Blender Exporter UI

yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sun Jun 28, 2009 11:32 am

Hello,
I have problems installing new yafaray rc3,
tried to find some solution in your forum, but nothing helped,
It is my first yafaray try - maybe its just stupid begginer problem...
excuse me in that case

my specs:

os: vista 64bit

blender: 2.49a-win64-py2.6, no instalation - manually placed in folder
c:\Program Files\blender\

python: 2.6 installed (currently 32bit, but tried with 64bit as well with the same result)

yafaray: 0.1.1.-rc3-py2.6-win32
c:\Program Files (x86)\YafaRay\
during installation I specified the path to scripts
c:\Program Files\blender\.blender\scripts\
installator created yafaray_ui.py in that folder

problem:
when I try to launch export script from blender I get this error -
- "python script error: check conslole"

in my console is:
- Compiled with Python version 2.6.1.
Checking for installed Python... got it!
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "C:\Program Files\blender\.blender\scripts\yafaray_ui.py", line 42, in <m
odule>
regKey = _winreg.OpenKey(_winreg.HKEY_LOCAL_MACHINE, 'Software\\YafRay Team\
\YafaRay')
WindowsError: [Error 2] SystÚm nem¨×e nalÚzt uvedenř soubor

could anybody help me? really want to try yafaray!
many thanks
filip
filip
 
Posts: 9
Joined: Mon Jul 21, 2008 10:20 am
Location: prague

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sun Jun 28, 2009 11:41 am

It seems something went wrong during the installation of YafaRay:

Did you have administrator privileges during the installation?
You should try to run the YafaRay installer again 'as Administrator'.
IkariShinji
 
Posts: 176
Joined: Tue May 05, 2009 6:57 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sun Jun 28, 2009 12:27 pm

thanks for your reply,
Yes I have administrator privileges,
there is just one account on my computer...
filip
 
Posts: 9
Joined: Mon Jul 21, 2008 10:20 am
Location: prague

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sun Jun 28, 2009 12:31 pm

As far as I know Vista, being the only user with admin rights does not always mean to really have admin rights...

I suppose "SystÚm nem¨×e nalÚzt uvedenř soubor" means "The system cannot find the file specified"? This is caused by a key not being written to the registry during installation of YafaRay. This key is needed by the yafaray_ui.py to determine the installation path of YafaRay.

Could you do me a favor and try to run the installer as administrator? Just to be sure it's no admin-rights-thing?
IkariShinji
 
Posts: 176
Joined: Tue May 05, 2009 6:57 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sun Jun 28, 2009 1:24 pm

Thanks for reply,

right click on *.exe, run as administrator,

destination folder:
"C:\Program Files (x86)\YafaRay"

during the installation I should specify Blender's script path,
its "C:\Program Files\blender\.blender\scripts\"

when I press install button, next pop up appears with
"The path is not valid"

I confirm and press install again and yafaray installs,
yafaray_ui.py appears in scripts folder...

...later there is the same problem in the console :(
filip
 
Posts: 9
Joined: Mon Jul 21, 2008 10:20 am
Location: prague

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sun Jun 28, 2009 1:53 pm

Strange.
You're the second here to report this problem (http://www.yafaray.org/community/forum/ ... =15&t=2337). The one thing in common between you two seems to be 64bit blender, although I really have no idea how this could affect the Vista registry during YafaRay install.

I just tried to install YafaRay RC3 again on my Vista 64 Ultimate with 32bit blender 2.49a zip-version and it works like a charm, all registry settings are written correctly. Will try if I can reproduce your error with 64bit blender.
Last edited by IkariShinji on Mon Jun 29, 2009 7:36 am, edited 1 time in total.
IkariShinji
 
Posts: 176
Joined: Tue May 05, 2009 6:57 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sun Jun 28, 2009 1:59 pm

OK, will try to go with 32bit blender for now...
let me know, if you need some help regarding to testing,
thanks
filip
filip
 
Posts: 9
Joined: Mon Jul 21, 2008 10:20 am
Location: prague

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sun Jun 28, 2009 2:12 pm

The problem is 64bit blender.
I'm getting exactly the same error here when using the 64bit version...

This seems to be a matter of compatibility between 32 and 64bit apps:
32bit YafaRay does not work alongside 64bit blender or 64bit python.
YafaRay works fine though with the respective 32bit versions - so it's not that much of a problem.
IkariShinji
 
Posts: 176
Joined: Tue May 05, 2009 6:57 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Thu Jul 02, 2009 2:58 pm

MY PROBLEMs
my specs:

os: XP 32bit SP2

blender: 2.49a-win64-py2.6, no instalation - manually placed in folder
c:\Program Files\blender\

python: 2.6.2 installed (currently 32bit, but tried with 64bit as well with the same result)

yafaray: 0.1.1.-rc3-py2.6-win32

ERROR
- "python script error: check conslole

MESSAGE CONSOLE

Compiled with Python version 2.6.2.
Checking for installed Python... got it!
Loading DLL: C:\Arquivos de programas\YafaRay\zlib1.dll
Loading DLL: C:\Arquivos de programas\YafaRay\libpng3.dll
Loading DLL: C:\Arquivos de programas\YafaRay\jpeg62.dll
Loading DLL: C:\Arquivos de programas\YafaRay\Iex.dll
Loading DLL: C:\Arquivos de programas\YafaRay\Half.dll
Loading DLL: C:\Arquivos de programas\YafaRay\IlmThread.dll
Loading DLL: C:\Arquivos de programas\YafaRay\IlmImf.dll
Loading DLL: C:\Arquivos de programas\YafaRay\mingwm10.dll
Loading DLL: C:\Arquivos de programas\YafaRay\freetype6.dll
Loading DLL: C:\Arquivos de programas\YafaRay\yafraycore.dll
Loading DLL: C:\Arquivos de programas\YafaRay\yafarayplugin.dll
Loading DLL: C:\Arquivos de programas\YafaRay\QtCore4.dll
Loading DLL: C:\Arquivos de programas\YafaRay\QtGui4.dll
Loading DLL: C:\Arquivos de programas\YafaRay\yafarayqt.dll
ERROR: Importing yafqt failed, Qt GUI will NOT be available.
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "C:\Arquivos de programas\Blender Foundation\Blender\.blender\scripts\yaf
aray_ui.py", line 94, in <module>
import yaf_export
File "C:\Python26\Lib\yaf_export.py", line 68, in <module>
import yafrayinterface
File "C:\Python26\Lib\yafrayinterface.py", line 25, in <module>
_yafrayinterface = swig_import_helper()
File "C:\Python26\Lib\yafrayinterface.py", line 24, in swig_import_helper
return _mod
UnboundLocalError: local variable '_mod' referenced before assignment



help please!
XN4k3
 
Posts: 3
Joined: Thu Jul 02, 2009 2:51 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Thu Jul 02, 2009 7:47 pm

Why on earth do you use 64bit blender on 32bit WinXP?!

Apart from that:
If you had read this very thread carefully (Just one post above yours!), you should have learned that 32bit YafaRay does not work in combination with 64bit blender or 64bit python. Please use ONLY 32BIT VERSIONS of the respective apps, until a 64bit build of YafaRay is available.
IkariShinji
 
Posts: 176
Joined: Tue May 05, 2009 6:57 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Fri Jul 03, 2009 1:57 am

sorry..I copie firt coment..but I USE all aplicatives 32x...and error continuous...
help!
XN4k3
 
Posts: 3
Joined: Thu Jul 02, 2009 2:51 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Fri Jul 03, 2009 6:56 am

If you just copied the first post, I assume that all details you gave concerning the used versions of YafaRay and blender are also copied and do not represent the actual status of your system.

A simple forum search for your error message found this:
http://www.yafaray.org/community/forum/ ... ent#p12417

Could it be possible that you use blender 2.49a in combination with YafaRay 0.1.0.315?
If so, you have to use YafaRay 0.1.1.RC3 instead.

Or did you copy YafaRay scripts manually to other locations?
Your console output reads for example:
- File "C:\Python26\Lib\yaf_export.py", line 68, in <module>

The folder C:\Python26\Lib\ should by no means contain YafaRay scripts...
IkariShinji
 
Posts: 176
Joined: Tue May 05, 2009 6:57 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Fri Jul 03, 2009 11:35 pm

Wait! Calm DOwn!

I have blender 2.49a + python 2.6.2 + yafaray 011rc2 for python2.6 (all 32bit)

Blender instaled on C:Arquivos de Programas/Blender Foundation
Python instale on C:Arquivos de Programas/Python 2.6
Yafaray instaled on C: Arquivos de Programas/Yafaray


MY PROBLEMs

MESSAGE CONSOLE

Compiled with Python version 2.6.2.
Checking for installed Python... got it!
Loading DLL: C:\Arquivos de programas\YafaRay\zlib1.dll
Loading DLL: C:\Arquivos de programas\YafaRay\libpng3.dll
Loading DLL: C:\Arquivos de programas\YafaRay\jpeg62.dll
Loading DLL: C:\Arquivos de programas\YafaRay\Iex.dll
Loading DLL: C:\Arquivos de programas\YafaRay\Half.dll
Loading DLL: C:\Arquivos de programas\YafaRay\IlmThread.dll
Loading DLL: C:\Arquivos de programas\YafaRay\IlmImf.dll
Loading DLL: C:\Arquivos de programas\YafaRay\mingwm10.dll
Loading DLL: C:\Arquivos de programas\YafaRay\freetype6.dll
Loading DLL: C:\Arquivos de programas\YafaRay\yafraycore.dll
Loading DLL: C:\Arquivos de programas\YafaRay\yafarayplugin.dll
Loading DLL: C:\Arquivos de programas\YafaRay\QtCore4.dll
Loading DLL: C:\Arquivos de programas\YafaRay\QtGui4.dll
Loading DLL: C:\Arquivos de programas\YafaRay\yafarayqt.dll
ERROR: Importing yafqt failed, Qt GUI will NOT be available.
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "C:\Arquivos de programas\Blender Foundation\Blender\.blender\scripts\yaf
aray_ui.py", line 94, in <module>
import yaf_export
File "C:\Python26\Lib\yaf_export.py", line 68, in <module>
import yafrayinterface
File "C:\Python26\Lib\yafrayinterface.py", line 25, in <module>
_yafrayinterface = swig_import_helper()
File "C:\Python26\Lib\yafrayinterface.py", line 24, in swig_import_helper
return _mod
UnboundLocalError: local variable '_mod' referenced before assignment
XN4k3
 
Posts: 3
Joined: Thu Jul 02, 2009 2:51 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sat Jul 04, 2009 7:20 am

Why should I calm down as long as you keep posting contradictory information?

1.
You wrote: "I have blender 2.49a + python 2.6.2 + yafaray 011rc2 for python2.6 (all 32bit)"
There is no such thing as YafaRay 0.1.1.RC2 for python 2.6. You either use YafaRay 0.1.1.RC3 for python 2.6 or YafaRay 0.1.1.RC2 - which is not python 2.6 compatible.

2.
You wrote: "Python instale on C:Arquivos de Programas/Python 2.6"
Your console output says quite clearly that your python is not installed to that directory, but to C:\Python26.

3.
You still didn't answer my question why obviously Yafaray scripts have been installed to your python directory:
"File "C:\Python26\Lib\yafrayinterface.py", line 24, in swig_import_helper" - taken directly from your console output.

I'm sorry, but how do you expect to get help without giving proper information?
IkariShinji
 
Posts: 176
Joined: Tue May 05, 2009 6:57 pm

Re: yafaray 0.1.1rc3 w/python 2.6, blender 2.49a win64, problem

Post Sat Jul 04, 2009 11:04 am

Yo tuve el mismo problema, lo que paso en mi caso y creo que es el de todos en este tema, es que, en la carpeta scripts de blender, quedan archivos del antiguo Yafaray que teniamos instalado, que "confunden" a la nueva version de Yafaray, por lo que la solucion es entrar a la carpeta [.blender\scripts\] y eliminar ahi todos los archivos que comiencen con "yaf...". Si hacemos esto e instalamos el Yafaray 0.1.1RC3 de vuelta, todo funciona a la perfeccion! :mrgreen: :wink:

:!: I was have the same problem (sorry for my bad english)
The solution: eliminate all the old files, of the old version of Yafaray, in [.blender\scripts\]. these files start something like "yaf...". This old files "confuse" Yafaray. Then when the old files are gone, we install Yafaray 0.1.1RC3, and the problem is resolved! enjoy! :wink:
marceze
 
Posts: 1
Joined: Sat Jul 04, 2009 10:44 am


Return to General Questions and Blender Exporter UI



Who is online

Users browsing this forum: No registered users and 1 guest